# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > Gridlines
Search:
Filters Show Private Show Protected Show Deprecated

## Class Gridlines - extends Base - uses Renderer

Gridlines draws gridlines on a Graph.

### Constructor

Gridlines `( )`

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from Base:

`name`

#### Properties inherited from Renderer:

`_styles`

### Methods

#### _drawGridlines

`private void _drawGridlines ( )`

#### _getDefaultStyles

`protected _getDefaultStyles ( )`
Gets the default value for the `styles` attribute. Overrides base implementation.

Returns: ``
  Object

#### _horizontalLine

`private void _horizontalLine ( )`

#### _setCanvas

`private void _setCanvas ( )`
Creates a `Graphic` instance.

#### _verticalLine

`private void _verticalLine ( )`

#### draw

`protected void draw ( )`
Draws the gridlines

#### remove

`private void remove ( )`

#### render

`private void render ( )`

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

#### Methods inherited from Renderer:

`_getDefaultStyles, _mergeStyles, _setStyles`

### Events

#### axisChange

`axisChange ( event )`
Fires when the value for the configuration attribute 'axis' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### directionChange

`directionChange ( event )`
Fires when the value for the configuration attribute 'direction' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### graphChange

`graphChange ( event )`
Fires when the value for the configuration attribute 'graph' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

#### Events inherited from Renderer:

`graphicChange, stylesChange`

### Configuration Attributes

#### axis `- Axis`

Indicate the `Axis` in which to bind the gridlines.

#### direction `- String`

Indicates the direction of the gridline.

#### graph `- Graph`

Indicates the `Graph` in which the gridlines are drawn.

#### Configuration attributes inherited from Base:

`destroyed initialized`

#### Configuration attributes inherited from Renderer:

`graphic styles`

Copyright © 2011 Yahoo! Inc. All rights reserved.